url.h File Reference
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/urlfns.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_URL | GWEN_URL

## Functions

GWENHYWFAR_API void | GWEN_Url_Attach (GWEN_URL *st)
GWENHYWFAR_API GWEN_URL * | GWEN_Url_dup (const GWEN_URL *st)
GWENHYWFAR_API void | GWEN_Url_free (GWEN_URL *st)
GWENHYWFAR_API GWEN_URL * | GWEN_Url_fromDb (GWEN_DB_NODE *db)
GWENHYWFAR_API const char * | GWEN_Url_GetPassword (const GWEN_URL *el)
GWENHYWFAR_API const char * | GWEN_Url_GetPath (const GWEN_URL *el)
GWENHYWFAR_API int | GWEN_Url_GetPort (const GWEN_URL *el)
GWENHYWFAR_API const char * | GWEN_Url_GetProtocol (const GWEN_URL *el)
GWENHYWFAR_API const char * | GWEN_Url_GetServer (const GWEN_URL *el)
GWENHYWFAR_API const char * | GWEN_Url_GetUserName (const GWEN_URL *el)
GWENHYWFAR_API GWEN_DB_NODE * | GWEN_Url_GetVars (const GWEN_URL *el)
GWENHYWFAR_API int | GWEN_Url_IsModified (const GWEN_URL *st)
GWENHYWFAR_API void | GWEN_Url_List2_freeAll (GWEN_URL_LIST2 *stl)
GWENHYWFAR_API GWEN_URL_LIST * | GWEN_Url_List_dup (const GWEN_URL_LIST *stl)
GWENHYWFAR_API GWEN_URL * | GWEN_Url_new (void)
GWENHYWFAR_API int | GWEN_Url_ReadDb (GWEN_URL *st, GWEN_DB_NODE *db)
GWENHYWFAR_API void | GWEN_Url_SetModified (GWEN_URL *st, int i)
GWENHYWFAR_API void | GWEN_Url_SetPassword (GWEN_URL *el, const char *d)
GWENHYWFAR_API void | GWEN_Url_SetPath (GWEN_URL *el, const char *d)
GWENHYWFAR_API void | GWEN_Url_SetPort (GWEN_URL *el, int d)
GWENHYWFAR_API void | GWEN_Url_SetProtocol (GWEN_URL *el, const char *d)
GWENHYWFAR_API void | GWEN_Url_SetServer (GWEN_URL *el, const char *d)
GWENHYWFAR_API void | GWEN_Url_SetUserName (GWEN_URL *el, const char *d)
GWENHYWFAR_API void | GWEN_Url_SetVars (GWEN_URL *el, GWEN_DB_NODE *d)
GWENHYWFAR_API int | GWEN_Url_toDb (const GWEN_URL *st, GWEN_DB_NODE *db)

## Typedef Documentation

## GWEN_URL

typedef struct GWEN_URL GWEN_URL

Definition at line 77 of file url.h.

## Function Documentation

## GWEN_Url_Attach()

GWENHYWFAR_API void GWEN_Url_Attach | ( | GWEN_URL * | st | ) |

Increments the usage counter of the given object, so an additional free() is needed to destroy the object.

References GWEN_Url_Attach(), and GWENHYWFAR_API.

Referenced by GWEN_Url_Attach().

## GWEN_Url_dup()

GWENHYWFAR_API GWEN_URL * GWEN_Url_dup | ( | const GWEN_URL * | st | ) |

Creates and returns a deep copy of thegiven object.

References GWEN_Url_dup(), and GWENHYWFAR_API.

Referenced by GWEN_Url_dup().

## GWEN_Url_free()

GWENHYWFAR_API void GWEN_Url_free | ( | GWEN_URL * | st | ) |

Destroys the given object.

References GWEN_Url_free(), and GWENHYWFAR_API.

Referenced by GWEN_Url_free().

## GWEN_Url_fromDb()

GWENHYWFAR_API GWEN_URL * GWEN_Url_fromDb | ( | GWEN_DB_NODE * | db | ) |

Creates an object from the data in the given GWEN_DB_NODE

References GWEN_Url_fromDb(), and GWENHYWFAR_API.

Referenced by GWEN_Url_fromDb().

## GWEN_Url_GetPassword()

GWENHYWFAR_API const char * GWEN_Url_GetPassword | ( | const GWEN_URL * | el | ) |

Returns the property GWEN_URL_Password

References GWEN_Url_GetPassword(), and GWENHYWFAR_API.

Referenced by GWEN_Url_GetPassword().

## GWEN_Url_GetPath()

GWENHYWFAR_API const char * GWEN_Url_GetPath | ( | const GWEN_URL * | el | ) |

Returns the property GWEN_URL_Path

References GWEN_Url_GetPath(), and GWENHYWFAR_API.

Referenced by GWEN_Url_GetPath().

## GWEN_Url_GetPort()

GWENHYWFAR_API int GWEN_Url_GetPort | ( | const GWEN_URL * | el | ) |

Returns the property GWEN_URL_Port

References GWEN_Url_GetPort(), and GWENHYWFAR_API.

Referenced by GWEN_Url_GetPort().

## GWEN_Url_GetProtocol()

GWENHYWFAR_API const char * GWEN_Url_GetProtocol | ( | const GWEN_URL * | el | ) |

Returns the property GWEN_URL_Protocol

References GWEN_Url_GetProtocol(), and GWENHYWFAR_API.

Referenced by GWEN_Url_GetProtocol().

## GWEN_Url_GetServer()

GWENHYWFAR_API const char * GWEN_Url_GetServer | ( | const GWEN_URL * | el | ) |

Returns the property GWEN_URL_Server

References GWEN_Url_GetServer(), and GWENHYWFAR_API.

Referenced by GWEN_Url_GetServer().

## GWEN_Url_GetUserName()

GWENHYWFAR_API const char * GWEN_Url_GetUserName | ( | const GWEN_URL * | el | ) |

Returns the property GWEN_URL_UserName

References GWEN_Url_GetUserName(), and GWENHYWFAR_API.

Referenced by GWEN_Url_GetUserName().

## GWEN_Url_GetVars()

GWENHYWFAR_API GWEN_DB_NODE * GWEN_Url_GetVars | ( | const GWEN_URL * | el | ) |

Returns the property GWEN_URL_Vars

References GWEN_Url_GetVars(), and GWENHYWFAR_API.

Referenced by GWEN_Url_GetVars().

## GWEN_Url_IsModified()

GWENHYWFAR_API int GWEN_Url_IsModified | ( | const GWEN_URL * | st | ) |

Returns 0 if this object has not been modified, !=0 otherwise

References GWEN_Url_IsModified(), and GWENHYWFAR_API.

Referenced by GWEN_Url_IsModified().

## GWEN_Url_List2_freeAll()

GWENHYWFAR_API void GWEN_Url_List2_freeAll | ( | GWEN_URL_LIST2 * | stl | ) |

Destroys all objects stored in the given LIST2 and the list itself

References GWEN_Url_List2_freeAll(), and GWENHYWFAR_API.

Referenced by GWEN_Url_List2_freeAll().

## GWEN_Url_List_dup()

GWENHYWFAR_API GWEN_URL_LIST * GWEN_Url_List_dup | ( | const GWEN_URL_LIST * | stl | ) |

References GWEN_LIST2_FUNCTION_LIB_DEFS, GWEN_Url_List_dup(), and GWENHYWFAR_API.

Referenced by GWEN_Url_List_dup().

## GWEN_Url_new()

GWENHYWFAR_API GWEN_URL * GWEN_Url_new | ( | void |  | ) |

Creates a new object.

References GWEN_Url_new(), and GWENHYWFAR_API.

Referenced by GWEN_Url_new().

## GWEN_Url_ReadDb()

GWENHYWFAR_API int GWEN_Url_ReadDb | ( | GWEN_URL * | st,
|  | GWEN_DB_NODE * | db )

Reads data from a GWEN_DB.

References GWEN_Url_ReadDb(), and GWENHYWFAR_API.

Referenced by GWEN_Url_ReadDb().

## GWEN_Url_SetModified()

GWENHYWFAR_API void GWEN_Url_SetModified | ( | GWEN_URL * | st,
|  | int | i )

Sets the modified state of the given object

References GWEN_Url_SetModified(), and GWENHYWFAR_API.

Referenced by GWEN_Url_SetModified().

## GWEN_Url_SetPassword()

GWENHYWFAR_API void GWEN_Url_SetPassword | ( | GWEN_URL * | el,
|  | const char * | d )

Set the property GWEN_URL_Password

References GWEN_Url_SetPassword(), and GWENHYWFAR_API.

Referenced by GWEN_Url_SetPassword().

## GWEN_Url_SetPath()

GWENHYWFAR_API void GWEN_Url_SetPath | ( | GWEN_URL * | el,
|  | const char * | d )

Set the property GWEN_URL_Path

References GWEN_Url_SetPath(), and GWENHYWFAR_API.

Referenced by GWEN_Url_SetPath().

## GWEN_Url_SetPort()

GWENHYWFAR_API void GWEN_Url_SetPort | ( | GWEN_URL * | el,
|  | int | d )

Set the property GWEN_URL_Port

References GWEN_Url_SetPort(), and GWENHYWFAR_API.

Referenced by GWEN_Url_SetPort().

## GWEN_Url_SetProtocol()

GWENHYWFAR_API void GWEN_Url_SetProtocol | ( | GWEN_URL * | el,
|  | const char * | d )

Set the property GWEN_URL_Protocol

References GWEN_Url_SetProtocol(), and GWENHYWFAR_API.

Referenced by GWEN_Url_SetProtocol().

## GWEN_Url_SetServer()

GWENHYWFAR_API void GWEN_Url_SetServer | ( | GWEN_URL * | el,
|  | const char * | d )

Set the property GWEN_URL_Server

References GWEN_Url_SetServer(), and GWENHYWFAR_API.

Referenced by GWEN_Url_SetServer().

## GWEN_Url_SetUserName()

GWENHYWFAR_API void GWEN_Url_SetUserName | ( | GWEN_URL * | el,
|  | const char * | d )

Set the property GWEN_URL_UserName

References GWEN_Url_SetUserName(), and GWENHYWFAR_API.

Referenced by GWEN_Url_SetUserName().

## GWEN_Url_SetVars()

GWENHYWFAR_API void GWEN_Url_SetVars | ( | GWEN_URL * | el,
|  | GWEN_DB_NODE * | d )

Set the property GWEN_URL_Vars

References GWEN_Url_SetVars(), and GWENHYWFAR_API.

Referenced by GWEN_Url_SetVars().

## GWEN_Url_toDb()

GWENHYWFAR_API int GWEN_Url_toDb | ( | const GWEN_URL * | st,
|  | GWEN_DB_NODE * | db )

Stores an object in the given GWEN_DB_NODE

References GWEN_Url_toDb(), and GWENHYWFAR_API.

Referenced by GWEN_Url_toDb().